"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _styledComponents = require("styled-components");
var _util = require("../../../util");
// CodeMirror 并没有 auto-resize 的配置，只能通过 CSS 来搞 https://codemirror.net/5/demo/resize.html
var _default = (0, _styledComponents.css)([".CodeMirror{height:auto;", " ", " .cm-tab{background:url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAADAAAAAMCAYAAAAkuj5RAAAAAXNSR0IArs4c6QAAAGFJREFUSMft1LsRQFAQheHPowAKoACx3IgEKtaEHujDjORSgWTH/ZOdnZOcM/sgk/kFFWY0qV8foQwS4MKBCS3qR6ixBJvElOobYAtivseIE120FaowJPN75GMu8j/LfMwNjh4HUpwg4LUAAAAASUVORK5CYII=) no-repeat right;}}"], function (props) {
  return props.linesMin > 0 ? (0, _styledComponents.css)([".CodeMirror-scroll{min-height:", "px;}"], (0, _util.computeScrollHeight)(props.linesMin)) : null;
}, function (props) {
  return props.linesMax > 0 ? (0, _styledComponents.css)([".CodeMirror-scroll{max-height:", "px;}"], (0, _util.computeScrollHeight)(props.linesMax)) : null;
});
exports.default = _default;